Documentation Mercado Libre
Check out all the necessary information about APIs Mercado Libre.
Documentation
Shopping experience
The resource /purchase_experience/integrators allows you to identify the status of your listings, with the level reached and their corresponding actionable items in case they need to be improved with respect to the shopping experience offered.
Request:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/reputation/items/$ITEM_ID/purchase_experience/integrators
Example:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/reputation/items/MLA1391786841/purchase_experience/integrators?locale=es_AR
Response:
{
"item_id": "MLA1391786841",
"title": {
"text": "Experiencia de compra"
},
"subtitles": [
{
"order": 0,
"text": "Tienes un problema con este producto. Revisa los consejos sobre cómo mejorar."
},
{
"order": 1,
"text": "La experiencia que brinda tu publicación afecta tu exposición y podríamos pausarla."
}
],
"actions": [
{
"order": 0,
"text": "Modificar publicación"
},
{
"order": 1,
"text": "Pausar desde el listado"
}
],
"reputation": {
"color": "orange",
"text": "Media",
"value": 50
},
"status": {
"id": "active"
},
"metrics_details": {
"problems": [
{
"order": 0,
"key": "PRODUCT",
"color": "#7267E4",
"quantity": "1 problema",
"cancellations": 1,
"claims": 0,
"tag": "PROBLEMA PRINCIPAL",
"level_two": {
"key": "POOR_CONDITION",
"title": {
"text": "Estaban en mal estado"
}
},
"level_three": {
"key": "BROKEN_PRODUCT",
"title": {
"text": "El producto llegó abierto y/o dañado"
},
"remedy": {
"text": "Revisa que los productos que vendes y su embalaje estén en buenas condiciones antes de enviarlos o despacharlos. "
}
}
}
],
"distribution": {
"from": "2023-07-04T19:08:56Z",
"to": "2023-11-04T19:08:56Z",
"level_one": [
{
"key": "PRODUCT",
"title": {
"text": "Con el producto entregado"
},
"color": "#7267E4",
"percentage": 100.0,
"quantities_level_two": [
{
"key": "POOR_CONDITION",
"title": {
"text": "Estaban en mal estado"
},
"quantity": 11
}
]
}
]
}
}
}
Required parameters
The only required parameter is the locale, to obtain the corresponding texts for each language and provide detailed and clear information.
| Query params | Type | Mandatory | Values | Only one |
|---|---|---|---|---|
| locale | string | YES | es_MX, es_UY, es_CO, es_CL, es_AR, es_PE, pt_BR, en_US. |
YES |
Fields of the reply
item_id: identification of the item being checked.
freeze: experience freeze notice due to which no actions are generated over the item.
status: status information of the listing (active | paused | moderated).
title: main reason why the item is in the current status.
subtitles: details due to which the item is in the current status.
actions: possible actionables to edit the current situation of the item.
reputation: current color, detail and value of the reputation according to the shopping experience.
metrics_details: details of the problem, levels, possible solutions, actionables and the distribution to give details about the shopping experience of the item.
- Status -> paused

- Status -> active

Response fields and components
Text
{
"order": uint,
"text": string,
"placeholders": []string,
}
Ejemplo: asdasd {0} asdasd {1}. [0]
- The {} must be replaced by the placeholders.
- The [] must be replaced by the action.
{
"text": "Por el momento {0}esta publicación no perderá exposición ni será pausada o anulada por brindar experiencia mala o media.{1} Es importante solucionar sus problemas para mejorar la experiencia que brindas.",
"placeholders": [
"",
""
]
}
Freeze
The first part of the freeze wording changes according to the type of freeze applied.
- Req_commercial
"freeze": {
"text": "Debido a un Acuerdo comercial, {0}esta publicación no perderá exposición, ni será pausada o anulada por tener experiencia de compra mala o media.{1} Ten en cuenta que es importante solucionar los problemas para mejorar la experiencia que brindas.",
"placeholders": [
"",
""
]
},
- Internal_recovery_grntee
"freeze": {
"text": "Debido al Beneficio de reputación, {0}esta publicación no perderá exposición, ni será pausada o anulada por tener experiencia de compra mala o media.{1} Ten en cuenta que es importante solucionar los problemas para mejorar la experiencia que brindas.",
"placeholders": [
"",
""
]
},
- Internal_recovery
"freeze": {
"text": "Debido al Beneficio Verde claro, {0}esta publicación no perderá exposición, ni será pausada o anulada por tener experiencia de compra mala o media.{1} Ten en cuenta que es importante solucionar los problemas para mejorar la experiencia que brindas.",
"placeholders": [
"",
""
]
},
- Internal_newbie_grntee
"freeze": {
"text": "Debido al Beneficio de reputación, {0}esta publicación no perderá exposición, ni será pausada o anulada por tener experiencia de compra mala o media.{1} Ten en cuenta que es importante solucionar los problemas para mejorar la experiencia que brindas.",
"placeholders": [
"",
""
]
},
- Rest of freeze
The other freeze types are: grace_time, internal_reputation, req_legal, frozen.
"freeze": {
"text": "Por el momento {0}esta publicación no perderá exposición ni será pausada o anulada por brindar experiencia mala o media.{1} Es importante solucionar sus problemas para mejorar la experiencia que brindas.",
"placeholders": [
"",
""
]
},
Status
{
"id": enum (active | paused | moderated),
"assigned_by": enum (reputation | other),
"text": string
}
Subtitles
A change has been added to obtain the number of sales of an item in the last 180 days and show it on the fronts.

Actual response
"subtitles": [
{
"order": 0,
"text": "Tienes 9 problemas con este producto. Revisa los consejos sobre cómo mejorar."
},
{
"order": 1,
"text": "La experiencia que brinda tu publicación afecta tu exposición y podríamos anularla."
}
],
New response
"subtitles": [
{
"order": 0,
"text": "En los últimos 180 días hiciste {0}12 ventas{1} y tuviste {0}9 problemas.{1} Revisa los consejos sobre cómo mejorar.",
"placeholders": [
"",
""
]
},
{
"order": 1,
"text": "La experiencia que brinda tu publicación afecta tu exposición y podríamos anularla."
}
],
Action
{
"order": uint,
"text": string,
}
Depending on the condition of the item, the possible actionable items are as follows:
Active items
- If the item has a score of 100 and no problems: See publication.
- If the item has a score of 100 with problems or a lower score (excluding score -1, which is when the item has no sales): Modify publication and Pause for listing.
Paused items
- Paused by seller: Modify publication and View publication.
- Paused by Shopping Experience: Modify publication and Reactivate from the listing.
Item cancelled
- Voided by shopping experience: How to offer a good experience.
- Annulled by other moderation: View post.
Reputation
{
"color": string,
"text": string,
"value": int
}
Reputation
{
"color": string,
"text": string,
"value": int
}
Metrics details
{
"empty_state_title": string,
"problems": []problem,
"distribution": distribution
}
Problem
{
"order": unit,
"key": string, // key de L1
"color": string, // de L1
"quantity": text, // de L3
"cancellations": unit, // de l3
"claims": unit, // de l3
"tag": string,
"level_2": level_2,
"level_3": level_3
}
Level 2
{
"key": string, // key de L2
"title": text,
}
Level 3
{
"key": string, // key de L3
"title": text,
"remedy": text,
}
Distribution
{
"from": date,
"to": date,
"level_1": []level_1
}
Date format
{"from": "2023-07-04T19:08:56Z",
"to": "2023-11-04T19:08:56Z",
}
Level 1
{
"key": string, // key de L1
"title": text,
"color": string,
"percentage": float,
"quantities_level_2": [
{
"key": string, // L2 key
"title": text,
"quantity": uint
}
]
}
Errors
| Error_code | Error message | Description |
|---|---|---|
| 400 | Bad Request | The request is invalid or cannot be understood by the server. |
| 404 | Resource not found | The resource is not working or the request was not done properly. |
| 500 | Internal Server Error | Something went wrong with the server and the request cannot be completed. |
Use case examples
- Active item with score of 100 (no problems)
Example traditional item (no problems):
{
"item_id": "MLA1391786841",
"freeze": {
"text": ""
},
"title": {
"text": "Experiencia de compra"
},
"subtitles": [
{
"order": 0,
"text": "No tuviste problemas con este producto."
},
{
"order": 1,
"text": "Estás brindando una buena experiencia de compra. ¡Sigue así!"
}
],
"actions": [
{
"order": 0,
"text": "Ver publicación"
}
],
"reputation": {
"color": "green",
"text": "Buena",
"value": 100
},
"status": {
"id": "active"
},
"metrics_details": {
"empty_state_title": "No tuviste ventas con problemas en los últimos 180 días.",
"distribution": {
"from": "2023-07-04T19:08:56Z",
"to": "2023-11-04T19:08:56Z",
"level_one": []
}
}
}

Example of traditional item response with Score 100 (with problems):
{
"item_id": "MLA1391786841",
"freeze": {
"text": ""
},
"title": {
"text": "Experiencia de compra"
},
"subtitles": [
{
"order": 0,
"text": "En los últimos 180 días hiciste {0}12 ventas{1} y tuviste {0}9 problemas.{1}",
"placeholders": [
"",
""
]
},
{
"order": 1,
"text": "Estás brindando una buena experiencia de compra, pero si continúas con problemas, podría impactar tu exposición."
}
],
"actions": [
{
"order": 0,
"text": "Modificar publicación"
},
{
"order": 1,
"text": "Pausar desde el listado"
}
],
"reputation": {
"color": "green",
"text": "Buena",
"value": 100
},
"status": {
"id": "active"
},
"metrics_details": {
"problems": [
{
"order": 0,
"key": "OPERATION",
"color": "#EC79BC",
"quantity": "3 problemas",
"cancellations": 2,
"claims": 1,
"tag": "PROBLEMA PRINCIPAL",
"level_two": {
"key": "PACK_OFF",
"title": {
"order": 0,
"text": "Dificultades para preparar el pedido"
}
},
"level_three": {
"key": "PRODUCT_NOT_PREPARED",
"title": {
"order": 0,
"text": "El producto no terminó de prepararse"
},
"remedy": {
"order": 0,
"text": "Valida el stock disponible de tu publicación y revisa los tiempos que tienes para preparar tu envío. Si por algún motivo, no estarás o no tienes stock suficiente, pausa tu publicación."
}
}
},
{
"order": 1,
"key": "OPERATION",
"color": "#EC79BC",
"quantity": "2 problemas",
"cancellations": 2,
"claims": 0,
"tag": "",
"level_two": {
"key": "PACK_OFF",
"title": {
"order": 0,
"text": "Dificultades para preparar el pedido"
}
},
"level_three": {
"key": "LABEL_PRINTING_PROBLEMS",
"title": {
"order": 0,
"text": "Dificultades para imprimir la etiqueta"
},
"remedy": {
"order": 0,
"text": "Verifica que la impresión sea de buena calidad, no cambies el tamaño de la etiqueta y al pegar la etiqueta en el paquete, no la rayes ni la tapes con la cinta adhesiva."
}
}
},
{
"order": 2,
"key": "OPERATION",
"color": "#EC79BC",
"quantity": "2 problemas",
"cancellations": 2,
"claims": 0,
"tag": "",
"level_two": {
"key": "PACK_OFF",
"title": {
"order": 0,
"text": "Dificultades para preparar el pedido"
}
},
"level_three": {
"key": "WITHOUT_STOCK",
"title": {
"order": 0,
"text": "No tenías stock disponible"
},
"remedy": {
"order": 0,
"text": "Valida el stock disponible de tu publicación y revisa los tiempos que tienes para preparar tu envío. Si por algún motivo, no estarás o no tienes stock suficiente, pausa tu publicación."
}
}
},
{
"order": 3,
"key": "OPERATION",
"color": "#EC79BC",
"quantity": "2 problemas",
"cancellations": 0,
"claims": 2,
"tag": "",
"level_two": {
"key": "PACK_OFF",
"title": {
"order": 0,
"text": "Dificultades para preparar el pedido"
}
},
"level_three": {
"key": "STOP_DUE_HOLIDAY",
"title": {
"order": 0,
"text": "No estabas operando o parecías inactivo"
},
"remedy": {
"order": 0,
"text": "Si por algún motivo, no estarás disponible te sugerimos pausar tus publicaciones."
}
}
}
],
"distribution": {
"from": "2023-04-13T20:08:26Z",
"to": "2023-10-10T20:08:26Z",
"level_one": [
{
"key": "OPERATION",
"title": {
"order": 0,
"text": "Al gestionar o preparar la venta"
},
"color": "#EC79BC",
"percentage": 100.0,
"quantities_level_two": [
{
"key": "PACK_OFF",
"title": {
"order": 0,
"text": "Dificultades para preparar el pedido"
},
"quantity": 9
}
]
}
]
}
}
}

Example response for catalog item (no problem):
{
"item_id": "MLA1391786841",
"freeze": {
"text": ""
},
"title": {
"text": "Experiencia de compra"
},
"subtitles": [
{
"order": 0,
"text": "No tuviste problemas con este producto."
},
{
"order": 1,
"text": "Brindar buena experiencia te ayuda a competir en catálogo."
}
],
"actions": [
{
"order": 0,
"text": "Ver publicación"
}
],
"reputation": {
"color": "green",
"text": "Buena",
"value": 100
},
"status": {
"id": "active"
},
"metrics_details": {
"empty_state_title": "No tuviste ventas con problemas en los últimos 180 días.",
"distribution": {
"from": "2023-07-04T19:08:56Z",
"to": "2023-11-04T19:08:56Z",
"level_one": []
}
}
}

Example catalog item response (with problems):
{
"item_id": "MLA1391786841",
"freeze": {
"text": ""
},
"title": {
"text": "Experiencia de compra"
},
"subtitles": [
{
"order": 0,
"text": "En los últimos 180 días hiciste {0}12 ventas{1} y tuviste {0}9 problemas.{1}",
"placeholders": [
"",
""
]
},
{
"order": 1,
"text": "Estás brindando una buena experiencia de compra, pero si continúas con problemas, podría afectarte en la competencia en catálogo."
}
],
"actions": [
{
"order": 0,
"text": "Modificar publicación"
},
{
"order": 1,
"text": "Pausar desde el listado"
}
],
"reputation": {
"color": "green",
"text": "Buena",
"value": 100
},
"status": {
"id": "active"
},
"metrics_details": {
"problems": [
{
"order": 0,
"key": "OPERATION",
"color": "#EC79BC",
"quantity": "3 problemas",
"cancellations": 2,
"claims": 1,
"tag": "PROBLEMA PRINCIPAL",
"level_two": {
"key": "PACK_OFF",
"title": {
"order": 0,
"text": "Dificultades para preparar el pedido"
}
},
"level_three": {
"key": "PRODUCT_NOT_PREPARED",
"title": {
"order": 0,
"text": "El producto no terminó de prepararse"
},
"remedy": {
"order": 0,
"text": "Valida el stock disponible de tu publicación y revisa los tiempos que tienes para preparar tu envío. Si por algún motivo, no estarás o no tienes stock suficiente, pausa tu publicación."
}
}
},
{
"order": 1,
"key": "OPERATION",
"color": "#EC79BC",
"quantity": "2 problemas",
"cancellations": 2,
"claims": 0,
"tag": "",
"level_two": {
"key": "PACK_OFF",
"title": {
"order": 0,
"text": "Dificultades para preparar el pedido"
}
},
"level_three": {
"key": "LABEL_PRINTING_PROBLEMS",
"title": {
"order": 0,
"text": "Dificultades para imprimir la etiqueta"
},
"remedy": {
"order": 0,
"text": "Verifica que la impresión sea de buena calidad, no cambies el tamaño de la etiqueta y al pegar la etiqueta en el paquete, no la rayes ni la tapes con la cinta adhesiva."
}
}
},
{
"order": 2,
"key": "OPERATION",
"color": "#EC79BC",
"quantity": "2 problemas",
"cancellations": 2,
"claims": 0,
"tag": "",
"level_two": {
"key": "PACK_OFF",
"title": {
"order": 0,
"text": "Dificultades para preparar el pedido"
}
},
"level_three": {
"key": "WITHOUT_STOCK",
"title": {
"order": 0,
"text": "No tenías stock disponible"
},
"remedy": {
"order": 0,
"text": "Valida el stock disponible de tu publicación y revisa los tiempos que tienes para preparar tu envío. Si por algún motivo, no estarás o no tienes stock suficiente, pausa tu publicación."
}
}
},
{
"order": 3,
"key": "OPERATION",
"color": "#EC79BC",
"quantity": "2 problemas",
"cancellations": 0,
"claims": 2,
"tag": "",
"level_two": {
"key": "PACK_OFF",
"title": {
"order": 0,
"text": "Dificultades para preparar el pedido"
}
},
"level_three": {
"key": "STOP_DUE_HOLIDAY",
"title": {
"order": 0,
"text": "No estabas operando o parecías inactivo"
},
"remedy": {
"order": 0,
"text": "Si por algún motivo, no estarás disponible te sugerimos pausar tus publicaciones."
}
}
}
],
"distribution": {
"from": "2023-04-13T20:08:26Z",
"to": "2023-10-10T20:08:26Z",
"level_one": [
{
"key": "OPERATION",
"title": {
"order": 0,
"text": "Al gestionar o preparar la venta"
},
"color": "#EC79BC",
"percentage": 100.0,
"quantities_level_two": [
{
"key": "PACK_OFF",
"title": {
"order": 0,
"text": "Dificultades para preparar el pedido"
},
"quantity": 9
}
]
}
]
}
}
}

- Active item with score of 50

Example:
{
"item_id": "MLA1391786841",
"title": {
"text": "Experiencia de compra"
},
"subtitles": [
{
"order": 0,
"text": "Tienes un problema con este producto. Revisa los consejos sobre cómo mejorar."
},
{
"order": 1,
"text": "La experiencia que brinda tu publicación afecta tu exposición y podríamos pausarla."
}
],
"actions": [
{
"order": 0,
"text": "Modificar publicación"
},
{
"order": 1,
"text": "Pausar desde el listado"
}
],
"reputation": {
"color": "orange",
"text": "Media",
"value": 50
},
"status": {
"id": "active"
},
"metrics_details": {
"problems": [
{
"order": 0,
"key": "PRODUCT",
"color": "#7267E4",
"quantity": "1 problema",
"cancellations": 1,
"claims": 0,
"tag": "PROBLEMA PRINCIPAL",
"level_two": {
"key": "POOR_CONDITION",
"title": {
"text": "Estaban en mal estado"
}
},
"level_three": {
"key": "BROKEN_PRODUCT",
"title": {
"text": "El producto llegó abierto y/o dañado"
},
"remedy": {
"text": "Revisa que los productos que vendes y su embalaje estén en buenas condiciones antes de enviarlos o despacharlos. "
}
}
}
],
"distribution": {
"from": "2023-07-04T19:08:56Z",
"to": "2023-11-04T19:08:56Z",
"level_one": [
{
"key": "PRODUCT",
"title": {
"text": "Con el producto entregado"
},
"color": "#7267E4",
"percentage": 100,
"quantities_level_two": [
{
"key": "POOR_CONDITION",
"title": {
"text": "Estaban en mal estado"
},
"quantity": 11
}
]
}
]
}
}
}
- Inactive items due to shopping experience

Example:
{
"item_id": "MLA1391786841",
"title": {
"text": "Experiencia de compra"
},
"subtitles": [
{
"order": 0,
"text": "Tuviste un problema con este producto. Revisa los consejos sobre cómo mejorar."
}
],
"actions": [
{
"order": 0,
"text": "Modificar publicación"
},
{
"order": 1,
"text": "Reactivar desde el listado"
}
],
"reputation": {
"color": "red",
"text": "Mala",
"value": 30
},
"status": {
"id": "paused",
"assigned_by": "reputation",
"text": "Tu publicación está inactiva. La pausamos porque está brindando una mala experiencia de compra."
},
"metrics_details": {
"problems": [
{
"order": 0,
"key": "PRODUCT",
"color": "#7267E4",
"quantity": "1 problema",
"cancellations": 0,
"claims": 1,
"tag": "PROBLEMA PRINCIPAL",
"level_two": {
"key": "POOR_CONDITION",
"title": {
"text": "Estaban en mal estado"
}
},
"level_three": {
"key": "PRODUCT_IN_BAD_CONDITION",
"title": {
"text": "El producto llegó en mal estado"
},
"remedy": {
"text": "Revisa que los productos que vendes estén en buenas condiciones antes de enviarlos o despacharlos. "
}
}
}
],
"distribution": {
"from": "2023-04-21T18:41:45Z",
"to": "2023-10-18T18:41:45Z",
"level_one": [
{
"key": "PRODUCT",
"title": {
"text": "Con el producto entregado"
},
"color": "#7267E4",
"percentage": 100.0,
"quantities_level_two": [
{
"key": "POOR_CONDITION",
"title": {
"text": "Estaban en mal estado"
},
"quantity": 1
}
]
}
]
}
}
}
- Inactive due to moderations, it can be reactivated.

Example:
{
"item_id": "MLU1234",
"title": {
"text": "Experiencia de compra"
},
"subtitles": [
{
"order": 0,
"text": "Tuviste 9 problemas con este producto. Revisa los consejos sobre cómo mejorar."
}
],
"actions": [
{
"order": 0,
"text": "Modificar publicación"
},
{
"order": 1,
"text": "Reactivar desde el listado"
}
],
"reputation": {
"color": "red",
"text": "Mala",
"value": 30
},
"status": {
"id": "paused",
"assigned_by": "reputation",
"text": "Tu publicación está inactiva. La pausamos porque está brindando una mala experiencia de compra."
},
"metrics_details": {
"problems": [
{
"order": 0,
"key": "OPERATION",
"color": "#EC79BC",
"quantity": "3 problemas",
"cancellations": 2,
"claims": 1,
"tag": "PROBLEMA PRINCIPAL",
"level_two": {
"key": "PACK_OFF",
"title": {
"text": "Dificultades para preparar el pedido"
}
},
"level_three": {
"key": "PRODUCT_NOT_PREPARED",
"title": {
"text": "El producto no terminó de prepararse"
},
"remedy": {
"text": "Valida el stock disponible de tu publicación y revisa los tiempos que tienes para preparar tu envío. Si por algún motivo, no estarás o no tienes stock suficiente, pausa tu publicación."
}
}
},
{
"order": 1,
"key": "OPERATION",
"color": "#EC79BC",
"quantity": "2 problemas",
"cancellations": 2,
"claims": 0,
"level_two": {
"key": "PACK_OFF",
"title": {
"text": "Dificultades para preparar el pedido"
}
},
"level_three": {
"key": "LABEL_PRINTING_PROBLEMS",
"title": {
"text": "Dificultades para imprimir la etiqueta"
},
"remedy": {
"text": "Verifica que la impresión sea de buena calidad, no cambies el tamaño de la etiqueta y al pegar la etiqueta en el paquete, no la rayes ni la tapes con la cinta adhesiva."
}
}
},
{
"order": 2,
"key": "OPERATION",
"color": "#EC79BC",
"quantity": "2 problemas",
"cancellations": 2,
"claims": 0,
"level_two": {
"key": "PACK_OFF",
"title": {
"text": "Dificultades para preparar el pedido"
}
},
"level_three": {
"key": "WITHOUT_STOCK",
"title": {
"text": "No tenías stock disponible"
},
"remedy": {
"text": "Valida el stock disponible de tu publicación y revisa los tiempos que tienes para preparar tu envío. Si por algún motivo, no estarás o no tienes stock suficiente, pausa tu publicación."
}
}
},
{
"order": 3,
"key": "OPERATION",
"color": "#EC79BC",
"quantity": "2 problemas",
"cancellations": 0,
"claims": 2,
"level_two": {
"key": "PACK_OFF",
"title": {
"text": "Dificultades para preparar el pedido"
}
},
"level_three": {
"key": "STOP_DUE_HOLIDAY",
"title": {
"text": "No estabas operando o parecías inactivo"
},
"remedy": {
"text": "Si por algún motivo, no estarás disponible te sugerimos pausar tus publicaciones."
}
}
}
],
"distribution": {
"from": "2023-04-03T00:51:39Z",
"to": "2023-09-30T00:51:39Z",
"level_one": [
{
"key": "OPERATION",
"title": {
"text": "Al gestionar o preparar la venta"
},
"color": "#EC79BC",
"percentage": 100.0,
"quantities_level_two": [
{
"key": "PACK_OFF",
"title": {
"text": "Dificultades para preparar el pedido"
},
"quantity": 9
}
]
}
]
}
}
}
- Paused item due to shopping experience
The shopping experience falls to 30.

Example:
{
"item_id": "MLA1391786841",
"title": {
"text": "Experiencia de compra"
},
"subtitles": [
{
"order": 0,
"text": "Tuviste 15 problemas con este producto."
}
],
"actions": [
{
"order": 0,
"text": "Modificar publicación"
},
{
"order": 1,
"text": "Ver publicación"
}
],
"reputation": {
"color": "red",
"text": "Mala",
"value": 30
},
"status": {
"id": "paused",
"assigned_by": "other",
"text": "Tu publicación está inactiva."
},
"metrics_details": {
"problems": [
{
"order": 0,
"key": "PRODUCT",
"color": "#7267E4",
"quantity": "15 problemas",
"cancellations": 3,
"claims": 7,
"tag": "PROBLEMA PRINCIPAL",
"level_two": {
"key": "POOR_CONDITION",
"title": {
"text": "Estaban en mal estado"
}
},
"level_three": {
"key": "DEFECTS_AFTER_USE",
"title": {
"text": "Aparecieron defectos después del uso del producto"
},
"remedy": {
"text": "Asegúrate de vender productos de buena calidad. Si tu producto tiene defectos de fábrica, reemplázalos lo antes posible."
}
}
}
],
"distribution": {
"from": "2023-07-04T19:08:56Z",
"to": "2023-11-04T19:08:56Z",
"level_one": [
{
"key": "PRODUCT",
"title": {
"text": "Con el producto entregado"
},
"color": "#7267E4",
"percentage": 100.0,
"quantities_level_two": [
{
"key": "POOR_CONDITION",
"title": {
"text": "Estaban en mal estado"
},
"quantity": 15
}
]
}
]
}
}
}
- Inactive item due to the seller

Example:
{
"item_id": "MLA1391786841",
"title": {
"text": "Experiencia de compra"
},
"subtitles": [
{
"order": 0,
"text": "Estás brindando una buena experiencia de compra. ¡Sigue así!"
}
],
"actions": [
{
"order": 0,
"text": "Modificar publicación"
},
{
"order": 1,
"text": "Ver publicación"
}
],
"reputation": {
"color": "green",
"text": "Buena",
"value": 100
},
"status": {
"id": "paused",
"assigned_by": "other",
"text": "Tu publicación está inactiva."
},
"metrics_details": {
"empty_state_title": "No tuviste ventas con problemas en los últimos 180 días.",
"distribution": {
"from": "2023-04-21T18:39:20Z",
"to": "2023-10-18T18:39:20Z",
"level_one": []
}
}
}
- Item without shopping experience

Example:
{
"item_id": "MLA1391786841",
"title": {
"text": "Aún no podemos medir tu experiencia de compra"
},
"subtitles": [
{
"order": 0,
"text": "La calcularemos con las ventas de los últimos 180 días."
}
],
"actions": [],
"reputation": {
"color": "gray",
"value": -1
},
"status": {
"id": "active"
},
"metrics_details": {
"empty_state_title": "No tuviste ventas con problemas en los últimos 180 días.",
"distribution": {
"from": "2023-07-04T19:08:56Z",
"to": "2023-11-04T19:08:56Z",
"level_one": []
}
}
}
- Freezed item

Example:
{
"item_id": "MLA1391786841",
"freeze": {
"text": "Por el momento {0}esta publicación no perderá exposición ni será pausada o anulada por brindar experiencia mala o media.{1} Es importante solucionar sus problemas para mejorar la experiencia que brindas.",
"placeholders": [
"",
""
]
},
"title": {
"text": "Experiencia de compra"
},
"subtitles": [
{
"order": 0,
"text": "Tienes 22 problemas con este producto. Revisa los consejos sobre cómo mejorar."
}
],
"actions": [
{
"order": 0,
"text": "Modificar publicación"
},
{
"order": 1,
"text": "Pausar desde el listado"
}
],
"reputation": {
"color": "orange",
"text": "Media",
"value": 65
},
"status": {
"id": "active"
},
"metrics_details": {
"problems": [
{
"order": 0,
"key": "PRODUCT",
"color": "#7267E4",
"quantity": "10 problemas",
"cancellations": 3,
"claims": 7,
"tag": "PROBLEMA PRINCIPAL",
"level_two": {
"key": "POOR_CONDITION",
"title": {
"text": "Estaban en mal estado"
}
},
"level_three": {
"key": "PRODUCT_IN_BAD_CONDITION",
"title": {
"text": "El producto llegó en mal estado"
},
"remedy": {
"text": "Revisa que los productos que vendes estén en buenas condiciones antes de enviarlos o despacharlos. "
}
}
},
{
"order": 1,
"key": "PRODUCT",
"color": "#7267E4",
"quantity": "12 problemas",
"cancellations": 3,
"claims": 7,
"level_two": {
"key": "POOR_CONDITION",
"title": {
"text": "Estaban en mal estado"
}
},
"level_three": {
"key": "NEXT_TO_EXPIRE",
"title": {
"text": "El producto había expirado o iba a expirar pronto"
},
"remedy": {
"text": "Verifica la fecha de expiración de los productos que vendes antes de despacharlos o enviarlos."
}
}
}
],
"distribution": {
"from": "2023-07-04T19:08:56Z",
"to": "2023-11-04T19:08:56Z",
"level_one": [
{
"key": "PRODUCT",
"title": {
"text": "Con el producto entregado"
},
"color": "#7267E4",
"percentage": 100.0,
"quantities_level_two": [
{
"key": "POOR_CONDITION",
"title": {
"text": "Estaban en mal estado"
},
"quantity": 22
}
]
}
]
}
}
}
- Level of shooping experience level 30 - Reactivated

Example:
{
"item_id": "MLA1391786841",
"title": {
"text": "Experiencia de compra"
},
"subtitles": [
{
"order": 0,
"text": "Tienes un problema con este producto. Revisa los consejos sobre cómo mejorar."
},
{
"order": 1,
"text": "Podríamos anular tu publicación si continúa brindando mala experiencia."
}
],
"actions": [
{
"order": 0,
"text": "Modificar publicación"
},
{
"order": 1,
"text": "Pausar desde el listado"
}
],
"reputation": {
"color": "red",
"text": "Mala",
"value": 30
},
"status": {
"id": "active"
},
"metrics_details": {
"problems": [
{
"order": 0,
"key": "PRODUCT",
"color": "#7267E4",
"quantity": "1 problema",
"cancellations": 0,
"claims": 1,
"tag": "PROBLEMA PRINCIPAL",
"level_two": {
"key": "POOR_CONDITION",
"title": {
"text": "Estaban en mal estado"
}
},
"level_three": {
"key": "PRODUCT_IN_BAD_CONDITION",
"title": {
"text": "El producto llegó en mal estado"
},
"remedy": {
"text": "Revisa que los productos que vendes estén en buenas condiciones antes de enviarlos o despacharlos. "
}
}
}
],
"distribution": {
"from": "2023-04-21T09:06:05Z",
"to": "2023-10-18T09:06:05Z",
"level_one": [
{
"key": "PRODUCT",
"title": {
"text": "Con el producto entregado"
},
"color": "#7267E4",
"percentage": 100.0,
"quantities_level_two": [
{
"key": "POOR_CONDITION",
"title": {
"text": "Estaban en mal estado"
},
"quantity": 1
}
]
}
]
}
}
}
Details of the problems



Distribution with tooltip

Example:
{
"distribution": {
"from": "2023-02-01T00:00:00-03:00",
"to": "2023-08-11T00:00:00-03:00",
"level_1": [
{
"key": "OPERATION",
"title": {
"text": "Con el producto entregado"
},
"color": "#102012",
"percentage": 80,
"quantities_level_2": [
{
"key": "X",
"title": {
"text": "Tenia fallas"
},
"quantity": 70
},
{
"key": "X",
"title": {
"text": "Es diferente a lo pedido"
},
"quantity": 16
}
]
},
{
"key": "X",
"title": {
"text": "Al despachar o entregar el producto"
},
"color": "#103012",
"percentage": 15
},
{
"key": "PRODUCT_NOT_PREPARED",
"title": {
"text": "Al preparar o gestionar la venta"
},
"color": "#103012",
"percentage": 5
}
]
}
}
Get by User Product (New)
- Explainable AI: Detailed reasoning about the "purchase experience" score of your products.
- Complete View: Considers shipping delays, seller cancellations and issues detected in claims, reviews and communications.
- Intelligent Evaluation: For products with few sales, it uses the performance of similar products from the same seller.
- Optimized Focus: Buyer remorse is no longer considered.
Call
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/reputation/user_products/{UP_ID}/purchase_experience/integrators
Example
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/reputation/users_products/MLAU1391786841/purchase_experience/integrators?locale=es_AR
Response
{
"up_id": "MLMU1234",
"freeze": {
"text": ""
},
"title": {
"text": "Purchase experience"
},
"consequence": {
"title": {
"order": 0,
"text": "Make sure to avoid problems in your next sales to protect your exposure."
}
},
"reputation": {
"color": "green",
"text": "Good",
"value": 100
},
"status": {
"id": "active"
},
"reasoning": {
"title": {
"order": 0,
"text": "What we evaluated to calculate your performance"
},
"subtitles": [
{
"order": 0,
"text": "You kept the product issue rate low. You handled claims and cancellations effectively..."
}
]
},
"recommendations": {
"title": {
"order": 0,
"text": "What you can do"
},
"subtitles": [
{
"order": 0,
"text": "Review your delivery processes to reduce delays."
},
{
"order": 1,
"text": "Improve claims management."
}
]
},
"principal_actionable": {
"order": 0,
"text": "Make sure to deliver the correct product."
},
"ai_generated": {
"order": 0,
"text": "Generated by artificial intelligence"
}
}
Required parameters
| Query params | Type | Mandatory | Values | Only one |
|---|---|---|---|---|
| locale | string | YES | es_MX, es_UY, es_CO, es_CL, es_AR, es_PE, pt_BR | YES |
Response fields
- up_id (string): Unique identifier of the User Product.
- freeze (object): Object that contains information about the freeze applied to the UP.
- text (string): Freeze notice of experience for which consequences are not applied to the UP (may be empty).
- placeholders (array of strings): Array of strings representing the placeholders to format the "freeze" text. Example: asdasd {0} asdasd {1}. The {} should be replaced by the placeholders.
- title (object): Object that contains the section title.
- text (string): Title text (in this case, "Purchase experience").
- consequence (object): Object that describes the possible consequence based on the UP's purchase experience result.
- title (object): Object that contains the consequence text.
- order (integer): Order of the consequence.
- text (string): Consequence text.
- reputation (object): Object that describes the product's purchase experience.
- color (string): Color associated with the purchase experience (e.g., "green").
- text (string): Textual description of the purchase experience (e.g., "Buena").
- value (integer): Numeric value of the purchase experience (e.g., 100).
- status (object): Object that describes the UP status.
- id (string): Status identifier (e.g., "active").
- reasoning (object): Object that explains the reasoning behind the evaluation.
- title (object): Object that contains the reasoning title.
- order (integer): Order of the reasoning title.
- text (string): Reasoning title text.
- subtitles (array of objects): Array of subtitles that explain the reasoning.
- order (integer): Order of the subtitle.
- text (string): Subtitle text.
- recommendations (object): Object that contains recommendations to improve.
- title (object): Object that contains the recommendations title.
- order (integer): Order of the recommendations title.
- text (string): Recommendations title text.
- subtitles (array of objects): Array of specific recommendations (may return up to 3 recommendations per UP).
- order (integer): Order of the recommendation.
- text (string): Recommendation text.
- principal_actionable (object): Object that describes the main action to take as a summary of recommendations.
- order (integer): Order of the main action.
- text (string): Main action text.
- ai_generated (object): Object indicating the information was generated by AI.
- order (integer): Order of the AI indication.
- text (string): Text indicating the information was generated by AI.
Examples
Active UP with score 100 - without recommendations

{
"up_id": "MLMU1234",
"freeze": {
"text": ""
},
"title": {
"text": "Purchase experience"
},
"consequence": {
"title": {
"order": 0,
"text": "Well done! Make sure to avoid problems in your next sales to protect your exposure."
}
},
"subtitles": [
{
"order": 0,
"text": "To calculate it, we compared your performance with other sellers. We considered the claims you receive, shipping delays and cancellations you make."
},
{
"order": 1,
"text": "We also analyze questions and answers, reviews and your messaging to identify product issues."
}
],
"actions": [
{
"order": 0,
"text": "Modify listing"
}
],
"reputation": {
"color": "green",
"text": "Good",
"value": 100
},
"status": {
"id": "active"
},
"reasoning": {
"title": {
"order": 0,
"text": "What we evaluated to calculate your performance"
},
"subtitles": [
{
"order": 0,
"text": "You provided an excellent purchase experience. Keep maintaining this performance in your next sales."
}
]
},
"recommendations": {
"title": {
"order": 0,
"text": ""
},
"subtitles": []
},
"principal_actionable": {
"order": 0,
"text": ""
},
"ai_generated": {
"order": 0,
"text": "Generated by artificial intelligence"
}
}
Active UP with score 100 - with recommendations / score 75

{
"up_id": "MLMU1234",
"freeze": {
"text": ""
},
"title": {
"text": "Purchase experience"
},
"consequence": {
"title": {
"order": 0,
"text": "Make sure to avoid problems in your next sales to protect your exposure."
}
},
"subtitles": [
{
"order": 0,
"text": "To calculate it, we compared your performance with other sellers. We considered the claims you receive, shipping delays and cancellations you make."
},
{
"order": 1,
"text": "We also analyze questions and answers, reviews and your messaging to identify product issues."
}
],
"actions": [
{
"order": 0,
"text": "Modify listing"
}
],
"reputation": {
"color": "green",
"text": "Good",
"value": 100
},
"status": {
"id": "active"
},
"reasoning": {
"title": {
"order": 0,
"text": "What we evaluated to calculate your performance"
},
"subtitles": [
{
"order": 0,
"text": "You kept the product issue rate low. You handled claims, cancellations and delays effectively. You achieved above-average reviews."
}
]
},
"recommendations": {
"title": {
"order": 0,
"text": "What you can do"
},
"subtitles": [
{
"order": 0,
"text": "Review your delivery processes to reduce delays and meet promised times."
},
{
"order": 1,
"text": "Improve claims management to resolve them quickly and completely."
},
{
"order": 2,
"text": "Adjust quality controls to reduce product incidents."
}
]
},
"principal_actionable": {
"order": 0,
"text": "Make sure to deliver the correct product."
},
"ai_generated": {
"order": 0,
"text": "Generated by artificial intelligence"
}
}
Active UP with score 65 - 50
{
"up_id": "MLMU1234",
"freeze": {
"text": ""
},
"title": {
"text": "Purchase experience"
},
"consequence": {
"title": {
"order": 0,
"text": "It is affecting your exposure. We could remove your listing if you continue providing a poor experience."
}
},
"subtitles": [
{
"order": 0,
"text": "To calculate it, we compared your performance with other sellers. We considered the claims you receive, shipping delays and cancellations you make."
},
{
"order": 1,
"text": "We also analyze questions and answers, reviews and your messaging to identify product issues."
}
],
"actions": [
{
"order": 0,
"text": "Modify listing"
}
],
"reputation": {
"color": "orange",
"text": "Average",
"value": 65
},
"status": {
"id": "active"
},
"reasoning": {
"title": {
"order": 0,
"text": "What we evaluated to calculate your performance"
},
"subtitles": [
{
"order": 0,
"text": "You experienced repeated shipping delays. You had unresolved claims and a higher proportion of product issues than the category. Your reviews were slightly below average."
}
]
},
"recommendations": {
"title": {
"order": 0,
"text": "What you can do"
},
"subtitles": [
{
"order": 0,
"text": "Review your delivery processes to reduce delays and meet promised times."
},
{
"order": 1,
"text": "Improve claims management to resolve them quickly and completely."
},
{
"order": 2,
"text": "Adjust quality controls to reduce product incidents."
}
]
},
"principal_actionable": {
"order": 0,
"text": "Make sure to deliver the correct product."
},
"ai_generated": {
"order": 0,
"text": "Generated by artificial intelligence"
}
}
Active UP with score 30
{
"up_id": "MLMU1234",
"freeze": {
"text": ""
},
"title": {
"text": "Purchase experience"
},
"consequence": {
"title": {
"order": 0,
"text": "You have very low exposure. We could remove your listing if you continue providing a poor experience."
}
},
"subtitles": [
{
"order": 0,
"text": "To calculate it, we compared your performance with other sellers. We considered the claims you receive, shipping delays and cancellations you make."
},
{
"order": 1,
"text": "We also analyze questions and answers, reviews and your messaging to identify product issues."
}
],
"actions": [
{
"order": 0,
"text": "Modify publicación"
}
],
"reputation": {
"color": "red",
"text": "Bad",
"value": 30
},
"status": {
"id": "active"
},
"reasoning": {
"title": {
"order": 0,
"text": "What we evaluated to calculate your performance"
},
"subtitles": [
{
"order": 0,
"text": "You experienced repeated shipping delays. You had unresolved claims and a higher proportion of product issues than the category. Your reviews were slightly below average."
}
]
},
"recommendations": {
"title": {
"order": 0,
"text": "What you can do"
},
"subtitles": [
{
"order": 0,
"text": "Review your delivery processes to reduce delays and meet promised times."
},
{
"order": 1,
"text": "Improve claims management to resolve them quickly and completely."
},
{
"order": 2,
"text": "Adjust quality controls to reduce product incidents."
}
]
},
"principal_actionable": {
"order": 0,
"text": "Make sure to deliver the correct product."
},
"ai_generated": {
"order": 0,
"text": "Generated by artificial intelligence"
}
}
Paused UP with score 50
{
"up_id": "MLMU1234",
"freeze": {
"text": ""
},
"title": {
"text": "Purchase experience"
},
"consequence": {
"title": {
"order": 0,
"text": ""
}
},
"subtitles": [
{
"order": 0,
"text": "To calculate it, we compared your performance with other sellers. We considered the claims you receive, shipping delays and cancellations you make."
},
{
"order": 1,
"text": "We also analyze questions and answers, reviews and your messaging to identify product issues."
}
],
"actions": [
{
"order": 0,
"text": "Modify publicación"
}
],
"reputation": {
"color": "orange",
"text": "Average",
"value": 50
},
"status": {
"id": "paused",
"text": "Your listing is inactive."
},
"reasoning": {
"title": {
"order": 0,
"text": "What we evaluated to calculate your performance"
},
"subtitles": [
{
"order": 0,
"text": "You experienced repeated shipping delays. You had unresolved claims and a higher proportion of product issues than the category. Your reviews were slightly below average."
}
]
},
"recommendations": {
"title": {
"order": 0,
"text": "What you can do"
},
"subtitles": [
{
"order": 0,
"text": "Review your delivery processes to reduce delays and meet promised times."
},
{
"order": 1,
"text": "Improve claims management to resolve them quickly and completely."
},
{
"order": 2,
"text": "Adjust quality controls to reduce product incidents."
}
]
},
"principal_actionable": {
"order": 0,
"text": "Make sure to deliver the correct product."
},
"ai_generated": {
"order": 0,
"text": "Generated by artificial intelligence"
}
}
Moderated UP with score 30
{
"up_id": "MLMU1234",
"freeze": {
"text": ""
},
"title": {
"text": "Purchase experience"
},
"consequence": {
"title": {
"order": 0,
"text": ""
}
},
"subtitles": [
{
"order": 0,
"text": "To calculate it, we compared your performance with other sellers. We considered the claims you receive, shipping delays and cancellations you make."
},
{
"order": 1,
"text": "We also analyze questions and answers, reviews and your messaging to identify product issues."
}
],
"actions": [
{
"order": 0,
"text": "Modify publicación"
}
],
"reputation": {
"color": "red",
"text": "Bad",
"value": 30
},
"status": {
"id": "moderated",
"text": "Your listing is inactive."
},
"reasoning": {
"title": {
"order": 0,
"text": "What we evaluated to calculate your performance"
},
"subtitles": [
{
"order": 0,
"text": "You experienced repeated shipping delays. You had unresolved claims and a higher proportion of product issues than the category. Your reviews were slightly below average."
}
]
},
"recommendations": {
"title": {
"order": 0,
"text": "What you can do"
},
"subtitles": [
{
"order": 0,
"text": "Review your delivery processes to reduce delays and meet promised times."
},
{
"order": 1,
"text": "Improve claims management to resolve them quickly and completely."
},
{
"order": 2,
"text": "Adjust quality controls to reduce product incidents."
}
]
},
"principal_actionable": {
"order": 0,
"text": "Make sure to deliver the correct product."
},
"ai_generated": {
"order": 0,
"text": "Generated by artificial intelligence"
}
}
Frozen UP with score 50
{
"up_id": "MLMU1234",
"freeze": {
"text": "For the moment this listing will not lose exposure nor will we remove it for providing a poor or average experience. {0}Avoid problems in your next sales to improve.{1}",
"placeholders": [
"",
""
]
},
"title": {
"text": "Purchase experience"
},
"consequence": {
"title": {
"order": 0,
"text": ""
}
},
"subtitles": [
{
"order": 0,
"text": "To calculate it, we compared your performance with other sellers. We considered the claims you receive, shipping delays and cancellations you make."
},
{
"order": 1,
"text": "We also analyze questions and answers, reviews and your messaging to identify product issues."
}
],
"actions": [
{
"order": 0,
"text": "Modify publicación"
}
],
"reputation": {
"color": "orange",
"text": "Average",
"value": 50
},
"status": {
"id": "active"
},
"reasoning": {
"title": {
"order": 0,
"text": "What we evaluated to calculate your performance"
},
"subtitles": [
{
"order": 0,
"text": "You experienced repeated shipping delays. You had unresolved claims and a higher proportion of product issues than the category. Your reviews were slightly below average."
}
]
},
"recommendations": {
"title": {
"order": 0,
"text": "What you can do"
},
"subtitles": [
{
"order": 0,
"text": "Review your delivery processes to reduce delays and meet promised times."
},
{
"order": 1,
"text": "Improve claims management to resolve them quickly and completely."
},
{
"order": 2,
"text": "Adjust quality controls to reduce product incidents."
}
]
},
"principal_actionable": {
"order": 0,
"text": "Make sure to deliver the correct product."
},
"ai_generated": {
"order": 0,
"text": "Generated by artificial intelligence"
}
}
No purchase experience UP
{
"up_id": "MLMU1234",
"freeze": {
"text": ""
},
"title": {
"text": "Purchase experience"
},
"consequence": {
"title": {
"order": 0,
"text": ""
}
},
"subtitles": [
{
"order": 0,
"text": "To calculate it, we compared your performance with other sellers. We considered the claims you receive, shipping delays and cancellations you make."
},
{
"order": 1,
"text": "We also analyze questions and answers, reviews and your messaging to identify product issues."
},
{
"order": 2,
"text": "You have not had enough sales yet to calculate it."
}
],
"actions": [
{
"order": 0,
"text": "Modify publicación"
}
],
"reputation": {
"color": "gray",
"value": -1
},
"reasoning": {
"title": {
"order": 0,
"text": ""
},
"subtitles": []
},
"recommendations": {
"title": {
"order": 0,
"text": ""
},
"subtitles": []
},
"principal_actionable": {
"order": 0,
"text": ""
},
"ai_generated": {
"order": 0,
"text": ""
}
}
UP in fallback state
{
"up_id": "MLMU1234",
"freeze": {
"text": ""
},
"title": {
"text": "Purchase experience"
},
"consequence": {
"title": {
"order": 0,
"text": ""
}
},
"subtitles": [
{
"order": 0,
"text": "To calculate it, we compared your performance with other sellers. We considered the claims you receive, shipping delays and cancellations you make."
},
{
"order": 1,
"text": "We also analyze questions and answers, reviews and your messaging to identify product issues."
},
{
"order": 2,
"text": "We could not calculate your purchase experience."
}
],
"actions": [
{
"order": 0,
"text": "Modify publicación"
}
],
"reputation": {
"color": "gray",
"value": -1
},
"reasoning": {
"title": {
"order": 0,
"text": ""
},
"subtitles": []
},
"recommendations": {
"title": {
"order": 0,
"text": ""
},
"subtitles": []
},
"principal_actionable": {
"order": 0,
"text": ""
},
"ai_generated": {
"order": 0,
"text": ""
}
}
Possible errors
| Error_code | Error message | Description |
|---|---|---|
| 400 | Bad Request | The request is invalid or cannot be understood by the server. |
| 404 | Resource not found | The resource is not available or the call was made incorrectly. |
| 500 | Internal Server Error | The server encountered an unexpected error and cannot complete the request. |